QSPI_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint32_t RXC:1
__I uint32_t DRE:1
__I uint32_t TXC:1
__I uint32_t ERROR:1
__I uint32_t:4
__I uint32_t CSRISE:1
__I uint32_t INSTREND:1
} | bit
uint32_t | reg

## Detailed Description

Definition at line 279 of file qspi.h.

## Field Documentation

## bit

struct { ... } QSPI_INTFLAG_Type::bit

Structure used for bit access

## CSRISE

__I uint32_t QSPI_INTFLAG_Type::CSRISE

bit: 8 Chip Select Rise

Definition at line 286 of file qspi.h.

## DRE

__I uint32_t QSPI_INTFLAG_Type::DRE

bit: 1 Transmit Data Register Empty

Definition at line 282 of file qspi.h.

## ERROR

__I uint32_t QSPI_INTFLAG_Type::ERROR

bit: 3 Overrun Error

Definition at line 284 of file qspi.h.

## INSTREND

__I uint32_t QSPI_INTFLAG_Type::INSTREND

bit: 10 Instruction End

Definition at line 288 of file qspi.h.

## reg

uint32_t QSPI_INTFLAG_Type::reg

Type used for register access

Definition at line 291 of file qspi.h.

## RXC

__I uint32_t QSPI_INTFLAG_Type::RXC

bit: 0 Receive Data Register Full

Definition at line 281 of file qspi.h.

## TXC

__I uint32_t QSPI_INTFLAG_Type::TXC

bit: 2 Transmission Complete

Definition at line 283 of file qspi.h.

## uint32_t

__I QSPI_INTFLAG_Type::uint32_t

bit: 4.. 7 Reserved

bit: 9 Reserved

bit: 11..31 Reserved

Definition at line 285 of file qspi.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/qspi.h